Bug 753387 - GNOME 3.2 doesn't work after upgrade, wrong wersion of caribou package
GNOME 3.2 doesn't work after upgrade, wrong wersion of caribou package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-12 02:27 EST by Paweł Prażak
Modified: 2012-08-07 12:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paweł Prażak 2011-11-12 02:27:31 EST
Description of problem:
GNOME 3.2 doesn't work after upgrade, because of wrong wersion of caribou package, there should be x64 installed, buy instead there is i686.
Easy to fix but hard to figure out.

Version-Release number of selected component (if applicable):
Upgrade from Fedora 15 to 15

How reproducible:
I only upgrades once.

Steps to Reproduce:
1. Upgrade system with preupdate
2. Reboot
3. GNOME displays "something went wrong" and dies
  
Actual results:
Broken gdm/gnome.

Expected results:
Working gdm/gnome.

From /var/log/gdm/:0-greeter.log
...
    JS ERROR: !!!   Exception was: Error: Requiring Caribou, version none: Typelib file for namespace 'Caribou' (any version) not found
    JS ERROR: !!!     lineNumber = '0'
    JS ERROR: !!!     fileName = '"gjs_throw"'
    JS ERROR: !!!     stack = '"("Requiring Caribou, version none: Typelib file for namespace 'Caribou' (any version) not found")@gjs_throw:0
@/usr/share/gnome-shell/js/ui/keyboard.js:3
...
Comment 1 Sasan 2011-11-22 06:52:05 EST
Same here.
The problem is specific to x86_64 platform.

# yum remove caribou.i686
# yum install caribou

Seems to solve the problem.
Comment 2 Fedora End Of Life 2012-08-07 12:20:36 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.